Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.parsers
Class LiteralDocumentParser

    java.lang.Object
      oracle.ifs.beans.parsers.LiteralDocumentParser

All Implemented Interfaces:
  XmlParserInterface

    public class LiteralDocumentParser

extends java.lang.Object
implements XmlParserInterface

A LiteralDocumentParser creates a literal document from an InputStream or Reader representing the content of an XML file. Additionally, when the VALIDATE_DOCUMENT_OPTION is set to true, the parser also validates the XML document and stores it if it is valid.

(Unpublished)

Field Summary
`protected LibrarySession` | `m_Session` The LibrarySession which constructed this XmlParser

Constructor Summary
`LiteralDocumentParser(LibrarySession session)` Constructs a LiteralDocumentParser

Method Summary
`Document` | `createDocument(Folder parent, java.io.InputStream in, java.io.Reader reader, java.lang.String name, AccessControlList acl, boolean takeAclFromParent)`
`protected DocumentDefinition` | `getDocDef(Folder parent, java.io.InputStream in, java.io.Reader reader, java.lang.String name, AccessControlList acl, boolean takeAclFromParent)`
`LibraryObject` | `parse(IfsXmlParser ifsxmlparser, java.io.InputStream stream, ParserCallback callback, java.util.Hashtable options)` Parses the specified InputStream representing an XML document.
`LibraryObject` | `parse(IfsXmlParser ifsxmlparser, java.io.Reader reader, ParserCallback callback, java.util.Hashtable options)` Parses the specified Reader representing an XML document.
`static LibraryObjectDefinition` | `setAcl(LibraryObjectDefinition def, AccessControlList acl, Folder parent, boolean takeAclFromParent)`
`Document` | `updateFolderedPublicObjectWithVersioning(Folder parent, java.io.InputStream in, java.io.Reader reader, java.lang.String name, AccessControlList acl, boolean takeAclFromParent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected LibrarySession m_Session

  Description copied from class: `LiteralDocumentParser`
  The LibrarySession which constructed this XmlParser

  (Unpublished)

Constructor Detail

### LiteralDocumentParser

    public LiteralDocumentParser(LibrarySession session)

  Constructs a LiteralDocumentParser

  Parameters:
    `session` - the LibrarySession
  (Unpublished)

Method Detail

### parse

    public LibraryObject parse(IfsXmlParser ifsxmlparser,
                               java.io.InputStream stream,
                               ParserCallback callback,
                               java.util.Hashtable options)
                        throws IfsException

  Description copied from interface: `XmlParserInterface`
  Parses the specified InputStream representing an XML document.

  Specified by:
    `parse` in interface `XmlParserInterface`
  Parameters:
    `ifsxmlparser` - this object is the entry point parser and can be used by the content-specific parsers to construct the DOM object, using the Oracle DOM parser
    `stream` - the InputStream
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12601) if the operation fails

### parse

    public LibraryObject parse(IfsXmlParser ifsxmlparser,
                               java.io.Reader reader,
                               ParserCallback callback,
                               java.util.Hashtable options)
                        throws IfsException

  Description copied from interface: `XmlParserInterface`
  Parses the specified Reader representing an XML document.

  Specified by:
    `parse` in interface `XmlParserInterface`
  Parameters:
    `ifsxmlparser` - this object is the entry point parser and is used by the content-specific parsers to construct the DOM object, using the Oracle DOM parser
    `reader` - the Reader
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12602) if the operation fails

### updateFolderedPublicObjectWithVersioning

    public Document updateFolderedPublicObjectWithVersioning(Folder parent,
                                                             java.io.InputStream in,
                                                             java.io.Reader reader,
                                                             java.lang.String name,
                                                             AccessControlList acl,
                                                             boolean takeAclFromParent)
                                                      throws IfsException,
                                                             java.io.IOException

  Throws:
    `IfsException`
    `java.io.IOException`

### createDocument

    public Document createDocument(Folder parent,
                                   java.io.InputStream in,
                                   java.io.Reader reader,
                                   java.lang.String name,
                                   AccessControlList acl,
                                   boolean takeAclFromParent)
                            throws IfsException,
                                   java.io.IOException

  Throws:
    `IfsException`
    `java.io.IOException`

### getDocDef

    protected DocumentDefinition getDocDef(Folder parent,
                                           java.io.InputStream in,
                                           java.io.Reader reader,
                                           java.lang.String name,
                                           AccessControlList acl,
                                           boolean takeAclFromParent)
                                    throws IfsException

  Throws:
    `IfsException`

### setAcl

    public static LibraryObjectDefinition setAcl(LibraryObjectDefinition def,
                                                 AccessControlList acl,
                                                 Folder parent,
                                                 boolean takeAclFromParent)
                                          throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD